import java.util.*;
import java.text.*;

/*
 * Scrivere un programma che richieda all'utente un importo in 
 * dollari USA e il tasso di cambio dollaro USA - Euro e
 * stampi a video l'importo convertito.
 * Il tasso di cambio deve essere richiesto solo una volta,
 * l'inserimento dell'importo invece termina quando l'utente
 * decide di terminare.
 */

public class ConversioneValuta {
	public static void main(String[] args){
		
		double tasso, importo;
		String scelta;
		DecimalFormat df = new DecimalFormat("0.00");
		Scanner tastiera = new Scanner(System.in);
		
		System.out.print("Inserire il tasso di cambio dollaro USA - Euro: ");
		tasso = tastiera.nextDouble();
		do{
			System.out.print("Inserire l'importo in dollari: ");
			importo = tastiera.nextDouble();
			System.out.println("Il valore in Euro e': "+df.format(importo*tasso));
			System.out.println("Vuoi continuare? Digita \"Q\" o \"q\" per uscire.");
			scelta = tastiera.next();
		}while(!scelta.equals("Q") && !scelta.equals("q"));
		// in alternativa usare equalsIgnoreCase
		System.out.println("Grazie, arrivederci.");
		tastiera.close();
	}
}
